///home/berryj/link/bin/instantiate "-t" "AnimationData* " "-c" "ElementOps" "-II" "LINK/basic/ElementOps.h" "-d" "userobj" "-I" "LINK/algorithm/AnimationData.h" 

#define DEFINE_ElementOps_TEMPLATE

#include <LINK/basic/ElementOps.h>


#undef DEFINE_ElementOps_TEMPLATE


#include <LINK/algorithm/AnimationData.h>


typedef AnimationData*  _AnimationDatap;
typedef ElementOps<AnimationData*  > _ElementOps_AnimationDatap_;


//*********************************************************************
int ElementOps<_AnimationDatap>::compareItems(const _AnimationDatap& e1, const _AnimationDatap& e2); 
ostream& ElementOps<_AnimationDatap>::displayItem(ostream& os, const _AnimationDatap& e);

template class ElementOps<AnimationData*  >;



//*********************************************************************
int ElementOps<_AnimationDatap>::compareItems(const _AnimationDatap& e1, const _AnimationDatap& e2) 
{
	if (e1 && e2)  {
		if (*e1 == *e2)
			return 0;
		else
			return (*e1<*e2)? -1 : 1;
	} else {
		if (e1 == e2)
			return 0;
		else
			return (e1<e2)? -1 : 1;
	}
}

ostream& ElementOps<_AnimationDatap>::displayItem(ostream& os, const _AnimationDatap& e)
{
	if (e)
		os << *e;
	else
		os << e;
	return os;
}
//*********************************************************************


